<?php
/**
 * A Task list
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2015 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class TaskList extends BaseList implements Listable {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	/**
	 * Creates an instance of this class
	 *
	 * @return	$listInstance		An instance a Listable class
	 */
	public static final function createTaskList () {
		// Get new instance
		$listInstance = new TaskList();

		// Add tasks group
		$listInstance->addGroup('tasks');

		// Return the prepared instance
		return $listInstance;
	}

	/**
	 * "Getter" for an iterator instance of this list (not implemented)
	 *
	 * @return	$iteratorInstance	An instance of a Iterator class
	 */
	public function getListIterator () {
		$this->debugInstance($this->__toString() . ' uses the default iterator. Please call getIterator() instead!');
	}

	/**
	 * Clears this list by cleaning up all groups together.
	 *
	 * @return	void
	 */
	public function clearList () {
		// Clear the only one group
		$this->clearGroup('tasks');
	}
}

// [EOF]
?>
